<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta name="description" content="Play MAME on your TV Arcade Monitor or Fixed Frequency Monitor">
<meta name="keywords" content="advancemame advancemenu advancecd advanceboot makebootfat advance advmame advcd advmenu advcomp mame mess linux scale2x arcade retrogame tv monitor control play coinop cabinet retrogaming">
<meta name="author" content="Andrea Mazzoleni">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" type="text/css" href="style.css">
<title>Advance Projects</title>

<!-- Google Analytics 4 -->
<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-JE7ZVT424T"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-JE7ZVT424T');
</script>

<!-- Google Universal Analytics -->
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-21967501-3']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
</head>
<body>
<div id="header">
<img src="index.jpg" width="1200" height="150" alt="Title">
</div>
<div id="menu">
<a href="/">About</a>
<a href="download">Download</a>
<a href="doc">Documentation</a>
<a href="support">Support</a>
<a href="forum">Forum</a>
<a href="history">History</a>
<a href="cost">Cost</a>
<a href="video-link">Video</a>
<a href="authors">Authors</a>
</div>
<div id="main">


<p>
Documentation of the AdvanceMAME <em>advcfg</em> utility
</p>

<h2><a name="1">1</a> 
Synopsis
</h2>
<pre>
advcfg [-advmamec] [-advmessc] [-advmenuc]
&nbsp;&nbsp;&nbsp;&nbsp;[-log] [-logsync] [-rc RCFILE] [-bit N]
</pre>
<h2><a name="2">2</a> 
Description
</h2>
The `advcfg' utility is the automatic video configuration
program for AdvanceMAME, AdvanceMESS and AdvanceMENU.
<p>
This utility works differently if one of the -advmamec,
-advmessc and -advmenuc option is specified.
The main difference is the name of the configuration
file used to store the video modes.
<p>
All the video modes used in the configuration process
have always negative horizontal and vertical sync polarity.
<p>
Check the `advdev.txt' file for more details on the video
drivers supported.
<h2><a name="3">3</a> 
Options
</h2>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
-rc RCFILE
</strong></td></tr><tr><td>
Specify an alternate name of the configuration file.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
-log
</strong></td></tr><tr><td>
A very detailed log of operations is saved in
a `.log' file. Very useful for debugging problems.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
-logsync
</strong></td></tr><tr><td>
Like the `-log' option but the log file is not
buffered. This option must be used to get a complete
log file in presence of a machine crash.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
-advmamec, -advmessc, -advmenuc
</strong></td></tr><tr><td>
Select the mode of operation for the programs
`advmame', `advmess' and `advmenu'.
The default is for `advmame'.
</td></tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
<tr valign="top" align="left"><td><strong>
-bit N
</strong></td></tr><tr><td>
Select the bit depth of the test video modes.
If omitted 8 bit modes are used.
Valid values are 8, 15, 16 and 32.
</td></tr>
</table>
<h2><a name="4">4</a> 
Configuration
</h2>
Depending one the command line options used one of the
`advmame.rc', `advmess.rc' and `advmenu.rc' file is used
to load and save the video configuration.
<p>
If the configuration process completes with success the
program adds these options in your configuration file:
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
device_video_clock ?
device_video_format ?
</pre>
</td></tr></table>
<p>
which define the capabilities of your monitor and video board.
And for the `advmame' and `advmess' modes also the options:
<p>
<table width="100%" border="0" cellspacing="0" cellpadding="2"><tr><td width="5%"></td><td width="95%">
<pre>
display_mode auto
display_adjust generate_yclock
</pre>
</td></tr></table>
<p>
which select the `automatic' video mode generation of the
emulators.
<p>
All these options are documented in the `advdev.txt'
and `advmame.txt' files.


</div>

<div id="footer">

<div class="column">
<span class="bold">Donate with</span>
<br>
<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=amadvance%40gmail%2ecom&lc=US&item_name=AdvanceMAME&no_note=0&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHostedGuest"><img src="paypal.png" width="160" height="60" alt="PayPal"></a>
</div>

<div class="column">
<span class="bold">Find other resources at</span>
<br>
<a href="https://github.com/amadvance/advancemame/"><img src="github.png" width="160" height="60" alt="GitHub"></a>
<a href="http://sourceforge.net/projects/advancemame/"><img src="sourceforge.png" width="115" height="60" alt="SourceForge"></a>
</div>

</div>
</body>
</html>



